%define module  django-countries

Name:           python-%{module}
Version:        7.5.1
Release:        %mkrel 1
Summary:        Provides a country field for Django models
Group:          Development/Python
License:        MIT
URL:            https://github.com/SmileyChris/django-countries/
Source0:        https://pypi.io/packages/source/d/%{module}/%{module}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros

%description
Django application which provides country choices for use with forms, and a
country field for models.

#---------------------------------------------------------------------------

%package -n     python3-%{module}
Summary:        Provides a country field for Django models
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  python3dist(setuptools)
Requires:       python3dist(django)
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
Django application which provides country choices for use with forms, and a
country field for models.

#---------------------------------------------------------------------------

%prep
%setup -q -n %{module}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install

# drop translation catalogs
find %{buildroot} -name "*.po" -delete

%files -n python3-%{module}
%license LICENSE
%doc README.rst
# list some files explicitly to avoid listing locale files twice
%{python3_sitelib}/django_countries/*py*
%{python3_sitelib}/django_countries/graphql/
%{python3_sitelib}/django_countries/static/
%{python3_sitelib}/django_countries/tests/
%{python3_sitelib}/django_countries/templatetags/
%{python3_sitelib}/django_countries-%{version}.dist-info/
# locales files
%lang(ar) %{python3_sitelib}/django_countries/locale/ar/LC_MESSAGES/django.?o
%lang(bg) %{python3_sitelib}/django_countries/locale/bg/LC_MESSAGES/django.?o
%lang(ca) %{python3_sitelib}/django_countries/locale/ca/LC_MESSAGES/django.?o
%lang(cs) %{python3_sitelib}/django_countries/locale/cs/LC_MESSAGES/django.?o
%lang(da) %{python3_sitelib}/django_countries/locale/da/LC_MESSAGES/django.?o
%lang(de) %{python3_sitelib}/django_countries/locale/de/LC_MESSAGES/django.?o
%lang(el) %{python3_sitelib}/django_countries/locale/el/LC_MESSAGES/django.?o
%lang(en@test) %{python3_sitelib}/django_countries/locale/en@test/LC_MESSAGES/django.?o
%lang(eo) %{python3_sitelib}/django_countries/locale/eo/LC_MESSAGES/django.?o
%lang(es) %{python3_sitelib}/django_countries/locale/es/LC_MESSAGES/django.?o
%lang(et) %{python3_sitelib}/django_countries/locale/et/LC_MESSAGES/django.?o
%lang(eu) %{python3_sitelib}/django_countries/locale/eu/LC_MESSAGES/django.?o
%lang(eu_ES) %{python3_sitelib}/django_countries/locale/eu_ES/LC_MESSAGES/django.?o
%lang(fa) %{python3_sitelib}/django_countries/locale/fa/LC_MESSAGES/django.?o
%lang(fi) %{python3_sitelib}/django_countries/locale/fi/LC_MESSAGES/django.?o
%lang(fr) %{python3_sitelib}/django_countries/locale/fr/LC_MESSAGES/django.?o
%lang(he) %{python3_sitelib}/django_countries/locale/he/LC_MESSAGES/django.?o
%lang(he_IL) %{python3_sitelib}/django_countries/locale/he_IL/LC_MESSAGES/django.?o
%lang(hr) %{python3_sitelib}/django_countries/locale/hr/LC_MESSAGES/django.?o
%lang(hu) %{python3_sitelib}/django_countries/locale/hu/LC_MESSAGES/django.?o
%lang(it) %{python3_sitelib}/django_countries/locale/it/LC_MESSAGES/django.?o
%lang(ja) %{python3_sitelib}/django_countries/locale/ja/LC_MESSAGES/django.?o
%lang(ko_KR) %{python3_sitelib}/django_countries/locale/ko_KR/LC_MESSAGES/django.?o
%lang(lt) %{python3_sitelib}/django_countries/locale/lt/LC_MESSAGES/django.?o
%lang(lv) %{python3_sitelib}/django_countries/locale/lv/LC_MESSAGES/django.?o
%lang(mn) %{python3_sitelib}/django_countries/locale/mn/LC_MESSAGES/django.?o
%lang(nb) %{python3_sitelib}/django_countries/locale/nb/LC_MESSAGES/django.?o
%lang(nl) %{python3_sitelib}/django_countries/locale/nl/LC_MESSAGES/django.?o
%lang(pl) %{python3_sitelib}/django_countries/locale/pl/LC_MESSAGES/django.?o
%lang(pt_BR) %{python3_sitelib}/django_countries/locale/pt_BR/LC_MESSAGES/django.?o
%lang(pt_PT) %{python3_sitelib}/django_countries/locale/pt_PT/LC_MESSAGES/django.?o
%lang(ru) %{python3_sitelib}/django_countries/locale/ru/LC_MESSAGES/django.?o
%lang(sk) %{python3_sitelib}/django_countries/locale/sk/LC_MESSAGES/django.?o
%lang(sv) %{python3_sitelib}/django_countries/locale/sv/LC_MESSAGES/django.?o
%lang(tr_TR) %{python3_sitelib}/django_countries/locale/tr_TR/LC_MESSAGES/django.?o
%lang(uk) %{python3_sitelib}/django_countries/locale/uk/LC_MESSAGES/django.?o
%lang(zh_CN) %{python3_sitelib}/django_countries/locale/zh_CN/LC_MESSAGES/django.?o
%lang(zh_Hans) %{python3_sitelib}/django_countries/locale/zh_Hans/LC_MESSAGES/django.?o
%lang(af) %{python3_sitelib}/django_countries/locale/af/LC_MESSAGES/django.?o
%lang(hy) %{python3_sitelib}/django_countries/locale/hy/LC_MESSAGES/django.?o
%lang(ro) %{python3_sitelib}/django_countries/locale/ro/LC_MESSAGES/django.?o
%lang(sl) %{python3_sitelib}/django_countries/locale/sl/LC_MESSAGES/django.?o
%lang(sr) %{python3_sitelib}/django_countries/locale/sr/LC_MESSAGES/django.?o
%lang(sr) %{python3_sitelib}/django_countries/locale/sr@latin/LC_MESSAGES/django.?o
%lang(sr_Latn) %{python3_sitelib}/django_countries/locale/sr_Latn/LC_MESSAGES/django.?o
%lang(sr_Latn_BA) %{python3_sitelib}/django_countries/locale/sr_Latn_BA/LC_MESSAGES/django.?o
%lang(zh_Hant) %{python3_sitelib}/django_countries/locale/zh_Hant/LC_MESSAGES/django.?o


%changelog
* Thu Feb 02 2023 daviddavid <daviddavid> 7.5.1-1.mga9
+ Revision: 1937540
- new version: 7.5.1
- switch to pyproject

* Tue Jan 10 2023 daviddavid <daviddavid> 7.5-1.mga9
+ Revision: 1932156
- new version: 7.5

* Sun Jun 05 2022 papoteur <papoteur> 7.3.2-1.mga9
+ Revision: 1861319
- new 7.3.2

* Wed Mar 23 2022 umeabot <umeabot> 7.2.1-2.mga9
+ Revision: 1823869
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 7.2.1-1.mga9
+ Revision: 1785157
- version 7.2.1
- rebuild for python-3.10

* Mon Mar 22 2021 daviddavid <daviddavid> 7.1-1.mga9
+ Revision: 1707662
- new version: 7.1
- rebuild for python 3.9

* Thu Oct 22 2020 daviddavid <daviddavid> 6.1.3-1.mga8
+ Revision: 1638527
- new version: 6.1.3

* Tue Mar 31 2020 daviddavid <daviddavid> 6.1.2-1.mga8
+ Revision: 1562574
- new version: 6.1.2

* Sat Feb 29 2020 daviddavid <daviddavid> 6.0-1.mga8
+ Revision: 1552195
- new version: 6.0

* Sun Feb 16 2020 umeabot <umeabot> 5.5-3.mga8
+ Revision: 1531666
- Mageia 8 Mass Rebuild

* Sat Sep 14 2019 tv <tv> 5.5-2.mga8
+ Revision: 1440801
- really rebuild for python-3.8

* Fri Sep 13 2019 daviddavid <daviddavid> 5.5-1.mga8
+ Revision: 1440159
- new version: 5.5

* Wed Aug 21 2019 wally <wally> 5.4-1.mga8
+ Revision: 1430834
- new version 5.4
- drop python2 support

* Fri Mar 01 2019 daviddavid <daviddavid> 5.3.3-1.mga7
+ Revision: 1370917
- new version: 5.3.3

* Fri Jan 11 2019 daviddavid <daviddavid> 5.1.1-3.mga7
+ Revision: 1354925
- rebuild for new Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 5.1.1-2.mga7
+ Revision: 1288683
- Mageia 7 Mass Rebuild

* Mon Mar 26 2018 daviddavid <daviddavid> 5.1.1-1.mga7
+ Revision: 1212528
- new version: 5.1.1

* Sun Jan 07 2018 daviddavid <daviddavid> 5.0-1.mga7
+ Revision: 1191266
- new version: 5.0
- rename python-django-countries to python2-django-countries

* Sat Aug 05 2017 pterjan <pterjan> 3.4.1-3.mga7
+ Revision: 1135376
- Rebuild for python 3.6

* Sat Feb 20 2016 umeabot <umeabot> 3.4.1-2.mga6
+ Revision: 972243
- Mageia 6 Mass Rebuild

* Sat Oct 31 2015 daviddavid <daviddavid> 3.4.1-1.mga6
+ Revision: 896865
- new version: 3.4.1
- update file list

* Wed Oct 07 2015 daviddavid <daviddavid> 3.3-2.mga6
+ Revision: 886797
- rebuild for python 3.5
- use new python macros

* Sun Jun 21 2015 daviddavid <daviddavid> 3.3-1.mga6
+ Revision: 837980
- new version: 3.3
- add more locale files
- drop no more needed Patch0

* Wed Oct 15 2014 umeabot <umeabot> 2.1.2-7.mga5
+ Revision: 747612
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.1.2-6.mga5
+ Revision: 728278
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.1.2-5.mga5
+ Revision: 687974
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 2.1.2-4.mga5
+ Revision: 628558
- Rebuild for new Python

* Fri Apr 25 2014 daviddavid <daviddavid> 2.1.2-3.mga5
+ Revision: 618033
- fix list some files explicitly to avoid listing locale files twice

* Thu Apr 24 2014 daviddavid <daviddavid> 2.1.2-2.mga5
+ Revision: 617670
- fix rpmlint warning: "file-not-in-%%lang"

* Thu Apr 24 2014 daviddavid <daviddavid> 2.1.2-1.mga5
+ Revision: 617652
- add Patch0 to fix build with python3 (thanks philippem)
- remove unneeded BR on python-devel
- add support of python 3
- update URL
- new version: 2.1.2

* Tue Oct 22 2013 umeabot <umeabot> 1.5-3.mga4
+ Revision: 543393
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.5-2.mga4
+ Revision: 498367
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Jun 03 2013 kharec <kharec> 1.5-1.mga4
+ Revision: 436218
- update to new version 1.5
- update file list

* Sun Jan 13 2013 umeabot <umeabot> 1.0.5-2.mga3
+ Revision: 378668
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Apr 26 2011 misc <misc> 1.0.5-1.mga1
+ Revision: 91735
- imported package python-django-countries


* Tue Apr 26 2011 Michael Scherer <misc@zarb.org - 1.0.5-1.mga1
- adapt from Fedora

* Thu Apr 14 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 1.0.5-1
- initial spec
